{% extends "users/userspace.html" %}

{% block content %}
    <div class="container px-5 my-5">
        <h1>Ajout rapide de distributions</h1>
        <p>Création rapide de distributions régulières</p>
    
        {% if added_dates|length > 0 %}
            <div class="alert alert-success">
                Des distributions ont bien été ajoutées aux dates suivantes :
                <ul>
                    {% for datetime in added_dates %}
                        <li>{{ datetime|date:"d/m/Y" }}</li>
                    {% endfor %}
                </ul>
            </div>
        {% endif %}

        {% if form.errors %}
            <div class="alert alert-danger" role="alert">
                <p class="alert-heading"><i class="mx-1 fas fa-exclamation-circle"></i>Erreurs :</p>
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname != "__all__" %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}
        
        <div class="row border rounded border-2 border-secondary mt-4 mx-10">
        <div class="col p-4">
        <form method="post" action="{% url 'register_multiple_distributions' %}">
            {% csrf_token %}

            <div class="row d-flex my-1">
                <div class="w-50">
                    {{ form.date_from.label_tag }}
                    {{ form.date_from }}
                </div>
                <div class="w-50">
                    {{ form.date_to.label_tag }}
                    {{ form.date_to }}
                </div>
            </div>

            <div class="row d-flex my-1">
                {{ form.time_delta.label_tag }}
                <div class="w-50">
                    {{ form.time_delta }}
                </div>
                <div class="w-50">
                    {{ form.delta_unit }}
                </div>
            </div>

            <div class="row d-flex my-1">
                <div class="w-50">
                    {{ form.heure_debut.label_tag }}
                    {{ form.heure_debut }}
                </div>

                <div class="w-50">
                    {{ form.heure_fin.label_tag }}
                    {{ form.heure_fin }}
                </div>
            </div>

            <div class="w-auto my-1">
                {{ form.lieu.label_tag }}
                {{ form.lieu }}
            </div>


            <div class="row d-flex my-1">
            <div class="w-50">
                {{ form.date_visibilite_paysans.label_tag }}
                {{ form.date_visibilite_paysans }}
            </div>

            <div class="w-50">
                {{ form.date_visibilite_utilisateurs.label_tag }}
                {{ form.date_visibilite_utilisateurs }}
            </div>
            </div>

            <button type="submit" class="btn btn-success w-100 mt-2">
                <i class="mx-1 fas fa-plus-circle"></i>Valider
            </button>
        </form>
    </div>
    </div>

    </div>
{% endblock %}
